[Pvfs2-cvs] commit by pcarns in pvfs2-1: configure

CVS commit program cvs at parl.clemson.edu
Fri Apr 11 16:21:10 EDT 2008


Update of /projects/cvsroot/pvfs2-1
In directory parlweb1:/tmp/cvs-serv24758

Modified Files:
	configure 
Log Message:
modified version of configure test from Scott Atchley to make configure fail 
if mx_decompose_endpoint_addr2() is not found.


Index: configure
===================================================================
RCS file: /projects/cvsroot/pvfs2-1/configure,v
diff -p -u -r1.389 -r1.390
--- configure	11 Apr 2008 17:05:22 -0000	1.389
+++ configure	11 Apr 2008 20:21:09 -0000	1.390
@@ -15028,6 +15028,77 @@ echo "$as_me: error: Neither MX library 
 
 
 
+    if test -n "$BUILD_MX" ; then
+                save_ldflags="$LDFLAGS"
+        LDFLAGS="-L$MX_LIBDIR $LDFLAGS"
+	save_libs="$LIBS"
+	LIBS="-lmyriexpress -lpthread $LIBS"
+        save_cppflags="$CPPFLAGS"
+        CPPFLAGS="$CPPFLAGS -I$MX_INCDIR"
+
+        { echo "$as_me:$LINENO: checking for mx_decompose_endpoint_addr2" >&5
+echo $ECHO_N "checking for mx_decompose_endpoint_addr2... $ECHO_C" >&6; }
+        cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+            #include "mx_extensions.h"
+            #include <stdlib.h>
+
+int
+main ()
+{
+
+            mx_endpoint_addr_t epa;
+            mx_decompose_endpoint_addr2(epa, NULL, NULL, NULL);
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+	    { { echo "$as_me:$LINENO: error: Function mx_decompose_endpoint_addr2() not found." >&5
+echo "$as_me: error: Function mx_decompose_endpoint_addr2() not found." >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+
+        LDFLAGS="$save_ldflags"
+        CPPFLAGS="$save_cppflags"
+        LIBS="$save_libs"
+    fi
+
 
 
                     ib_home=



More information about the Pvfs2-cvs mailing list